Package org.drinkless.tdlib

# Class TdApi.Address

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Address

Enclosing class:
  `TdApi`

public static class TdApi.Address extends TdApi.Object
Describes an address.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `city`
  City.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `countryCode`
  A two-letter ISO 3166-1 alpha-2 country code.
  `String`
  `postalCode`
  Address postal code.
  `String`
  `state`
  State, if applicable.
  `String`
  `streetLine1`
  First line of the address.
  `String`
  `streetLine2`
  Second line of the address.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Address()`
  Describes an address.
  `Address(String countryCode, String state, String city, String streetLine1, String streetLine2, String postalCode)`
  Describes an address.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### countryCode

    public String countryCode
    A two-letter ISO 3166-1 alpha-2 country code.

  - ### state

    public String state
    State, if applicable.

  - ### city

    public String city
    City.

  - ### streetLine1

    public String streetLine1
    First line of the address.

  - ### streetLine2

    public String streetLine2
    Second line of the address.

  - ### postalCode

    public String postalCode
    Address postal code.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Address

    public Address()
    Describes an address.

  - ### Address

    public Address(String countryCode, String state, String city, String streetLine1, String streetLine2, String postalCode)
    Describes an address.
    Parameters:
      `countryCode` - A two-letter ISO 3166-1 alpha-2 country code.
      `state` - State, if applicable.
      `city` - City.
      `streetLine1` - First line of the address.
      `streetLine2` - Second line of the address.
      `postalCode` - Address postal code.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR